# ChangeLog for media-sound/lame
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/lame/ChangeLog,v 1.82 2007/02/19 03:59:11 weeve Exp $

  19 Feb 2007; Jason Wever <weeve@gentoo.org> lame-3.97.ebuild:
  Stable on SPARC wrt bug #167391.

  18 Feb 2007; Jeroen Roovers <jer@gentoo.org> lame-3.97.ebuild:
  Stable for HPPA (bug #167391).

  18 Feb 2007; Steve Dibb <beandog@gentoo.org> lame-3.97.ebuild:
  amd64 stable, bug 167391

  18 Feb 2007; Raúl Porcel <armin76@gentoo.org> lame-3.97.ebuild:
  x86 stable wrt bug 167391

  18 Feb 2007; nixnut <nixnut@gentoo.org> lame-3.97.ebuild:
  Stable on ppc wrt bug 167391

  18 Feb 2007; Markus Rothe <corsair@gentoo.org> lame-3.97.ebuild:
  Stable on ppc64; bug #167391

  17 Feb 2007; Fabian Groffen <grobian@gentoo.org> lame-3.96.1.ebuild,
  lame-3.97.ebuild:
  Dropped ppc-macos keyword, see you in prefix

  17 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> -lame-3.96.1-r1.ebuild,
  -lame-3.97_beta2.ebuild, -lame-3.97_beta3.ebuild:
  Remove old versions.

  05 Feb 2007; Alexis Ballier <aballier@gentoo.org> lame-3.96.1-r1.ebuild:
  Stick automake version to 1.7 as it's not working with newer versions, bug
  #161610

*lame-3.97 (10 Nov 2006)

  10 Nov 2006; Diego Pettenò <flameeyes@gentoo.org> +lame-3.97.ebuild:
  Version bump, even if 3.97 final is just 3.97_beta3 renamed; add mp3rtp
  useflag so that the code is not enabled by default (as upstream says it's
  broken). Thanks to Alessio Cassibba in bug #151189.

  17 Oct 2006; Diego Pettenò <flameeyes@gentoo.org> lame-3.96.1-r1.ebuild,
  lame-3.97_beta2.ebuild, lame-3.97_beta3.ebuild:
  Add missing WANT_AUTOCONF/WANT_AUTOMAKE variables.

*lame-3.97_beta3 (11 Sep 2006)

  11 Sep 2006; Luis Medinas <metalgod@gentoo.org> +lame-3.97_beta3.ebuild:
  Version Bump. Thanks to Kai <gentoo@altkai.ml1.net> closes bug #145286.

*lame-3.97_beta2 (30 May 2006)

  30 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +lame-3.97_beta2.ebuild:
  Version bump, thanks to Barry Shilliday in bug #134888.

  26 May 2006; Diego Pettenò <flameeyes@gentoo.org> -lame-3.96.ebuild,
  lame-3.96.1-r1.ebuild:
  Drop old versions.

  14 May 2006; Diego Pettenò <flameeyes@gentoo.org> lame-3.96.1-r1.ebuild:
  Add ~x86-fbsd keyword.

  04 Jan 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/lame-3.96.1-asneeded.patch, lame-3.96.1-r1.ebuild:
  Add patch to fix libm linking to allow using lame while building with
  --as-needed.

*lame-3.96.1-r1 (25 Aug 2005)

  25 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/lame-3.96.1-largefile.patch, +lame-3.96.1-r1.ebuild:
  Added patch to have largefile support actually working as per bug #103578.

  02 Jul 2005; Hardave Riar <hardave@gentoo.org> lame-3.96.1.ebuild:
  Stable on mips

  21 May 2005; Jan Brinkmann <luckyduck@gentoo.org> lame-3.96.1.ebuild:
  dont force the use of nasm by default on x86, fixes bug #93279

  15 May 2005; Diego Pettenò <flameeyes@gentoo.org> lame-3.96.ebuild,
  lame-3.96.1.ebuild:
  Moved using toolchain-funcs eclass.

  08 Apr 2005; Markus Rothe <corsair@gentoo.org> lame-3.96.1.ebuild:
  Stable on ppc64

  08 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> lame-3.96.1.ebuild:
  Stable on ppc.

  15 Mar 2005; Yuta SATOH <nigoro@gentoo.org> lame-3.96.1.ebuild:
  added ~ppc64

  24 Feb 2005; Lina Pezzella <j4rg0n@gentoo.org> lame-3.96.1.ebuild,
  lame-3.96.ebuild:
  Stable ppc-macos

  03 Feb 2005; <solar@gentoo.org> lame-3.96.1.ebuild, lame-3.96.ebuild:
  - epunt_cxx embedded bug #74498

  23 Jan 2005; Lina Pezzella <j4rg0n@gentoo.org> lame-3.96.ebuild:
  Unstable ppc-macos. Bug #65990

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  12 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -files/lame-3.91-gcc3.diff, -lame-3.92.ebuild, -lame-3.93.1-r1.ebuild:
  Cleaning out old versions.

  12 Nov 2004; Bryan Østergaard <kloeri@gentoo.org> lame-3.96.1.ebuild:
  Stable on alpha.

  16 Oct 2004; <gongloo@gentoo.org> lame-3.96.1.ebuild:
  Keyworded ~ppc-macos.

  12 Oct 2004; Guy Martin <gmsoft@gentoo.org> lame-3.96.1.ebuild:
  Stable on hppa.

  03 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/lame-3.96.1-shared-frontend.patch:
  link against shared libs.  Closes bug #58547.  Stable amd64, sparc, x86.

  29 Jul 2004; Tom Gall <tgall@gentoo.org> lame-3.96.ebuild:
  stable on ppc64, bug #55429

  28 Jul 2004; Aron Griffis <agriffis@gentoo.org> +files/lame-3.96-ccc.patch,
  lame-3.92.ebuild, lame-3.93.1-r1.ebuild, lame-3.96.1.ebuild,
  lame-3.96.ebuild:
  If ccc (alpha compiler) is installed on the system, the default configure is
  broken, fix it to respect CC. This is only directly broken for ARCH=alpha but
  would affect anybody with a ccc binary in their PATH. #41908

*lame-3.96.1 (25 Jul 2004)

  25 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org> +lame-3.96.1.ebuild:
  Version bump for upstream bugfix release.

  25 Jul 2004; Lina Pezzella <j4rg0n@gentoo.org>
  Fixed Manifest.

  23 Jul 2004; Hasan Khalil <gongloo@gentoo.org> lame-3.96.ebuild:
  Stable on macos.

  13 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> lame-3.96.ebuild:
  Stable on alpha.

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.92.ebuild:
  virtual/glibc -> virtual/libc

  26 Jun 2004; Danny van Dyk <kugelfang@gentoo.org> -files/intcast.spider,
  lame-3.96.ebuild:
  Removed bogus patch (intcast.spider). This one broke libmp3lame.so on 64bit
  archs and has been unnecessary.

  16 Jun 2004; Gustavo Zacarias <gustavoz@gentoo.org> lame-3.96.ebuild:
  Stable on hppa

  07 Jun 2004; Travis Tilley <lv@gentoo.org> lame-3.96.ebuild:
  stable on amd64

  07 Jun 2004; Aron Griffis <agriffis@gentoo.org> lame-3.92.ebuild,
  lame-3.93.1-r1.ebuild, lame-3.96.ebuild:
  Fix use invocation

  13 May 2004; Gustavo Zacarias <gustavoz@gentoo.org> lame-3.96.ebuild:
  Stable on sparc

  12 May 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.96.ebuild:
  Stable x86.

  06 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  lame-3.93.1-r1.ebuild:
  Fix bug #50099.

  22 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.95.1.ebuild:
  Removed buggy version.

*lame-3.96 (11 Apr 2004)

  11 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.95.1.ebuild,
  lame-3.96.ebuild:
  Version bump.

  04 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.95.1.ebuild:
  Back to ~arch because of bug #46672.

  01 Apr 2004; Gustavo Zacarias <gustavoz@gentoo.org> lame-3.95.1.ebuild:
  stable on sparc

  31 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.95.1.ebuild:
  Stable x86.  cp -> dobin.  nomirror.

  15 Mar 2004; Stephen P. Becker <geoman@gentoo.org> lame-3.95.1.ebuild:
  Added ~mips keyword.

  23 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org> lame-3.92.ebuild,
  lame-3.93.1-r1.ebuild, lame-3.95.1.ebuild:
  Removing redundant html files.  DESTDIR instead of einstall

  21 Jan 2004; Nick Hadaway <raker@gentoo.org> lame-3.95.1.ebuild:
  Added the mlame binary as noted on bug #35978 and added spider's
  tcc compiler fix as seen on bug #31191.

  21 Jan 2004; Nick Hadaway <raker@gentoo.org> lame-3.95.1.ebuild:
  Changed emake to make as it seems to be a little finicky with 
  parallelism.  See bug #38896.

*lame-3.95.1 (20 Jan 2004)

  20 Jan 2004; Nick Hadaway <raker@gentoo.org> lame-3.95.1.ebuild:
  Version bump.  Upstream bug fixes, and feature adds.  Updated the
  debug target.  Fixed tyop :) extopt to expopt but commented out
  as optimizations are set by the user.  Also added some ebuild
  fixes as suggested by Gregorio Guidi on bug #38006.

  12 Jan 2004; <agriffis@gentoo.org> lame-3.93.1-r1.ebuild:
  stable on ia64

  16 Nov 2003; Brad House <brad_mssw@gentoo.org> lame-3.93.1-r1.ebuild:
  mark stable on amd64

  08 May 2003; jje <jje@gentoo.org> lame-3.93.1-r1.ebuild:
  Fix flag striping. Was using strip-flags when it should have been filter-flags.

  13 Mar 2003; Olivier Reisch <doctomoe@gentoo.org> lame-3.93.1-r1.ebuild
  Marked ppc stable

*lame-3.93.1-r1 (28 Jan 2003)

  10 Mar 2003; Seemant Kulleen <seemant@gentoo.org> lame-3.93.0.ebuild,
  lame-3.93.0.ebuild, lame-3.93.1-r1.ebuild, lame-3.93.1.ebuild,
  lame-3.93.1.ebuild:
  filter out -fomit-frame-pointer for k6 based cpu's. Thanks to: sinterklaas
  <jerroose@xs4all.nl> in bug #15559

  28 Jan 2003; Nick Hadaway <raker@gentoo.org> lame-3.93.1-r1.ebuild,
  files/digest-lame-3.93.1-r1 :
  Got rid of the autotools and libtool workarounds and just sed'd the
  configure script gtk detection.

  16 Dec 2002; Martin Schlemmer <azarah@gentoo.org> lame-3.93.1.ebuild :
  Run autoreconf to fix the ./configure script not detecting gtk-config
  properly.

*lame-3.93.1 (11 Dec 2002)

  31 Dec 2002: Joshua Brindle <method@gentoo.org> lame-3.93.1.ebuild :
  Change ~sparc to sparc

  15 Dec 2002; Bjoern Brauel <bjb@gentoo.org> lame-3.93.1.ebuild :
  Add alpha to KEYWORDS

  12 Dec 2002; phoen][x <phoenix@gentoo.org> lame-3.93.1.ebuild :
  Tagging this ebuild stable ("x86").

  11 Dec 2002; phoen][x <phoenix@gentoo.org> lame-3.93.1.ebuild,
  files/digest-lame-3.93.1 :
  Bumped to new version. Hopefully, the need for these quality problem 
  patches is gone now. 

* Autoupdate keywords (12-6-02)
  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*lame-3.93.0-r1 (23 Nov 2002)

  01 Dec 2002; phoen][x <phoenix@gentoo.org> lame-3.93.0-r1.ebuild, 
  files/lame-3.93.0-npsytunefix.diff, files/lame-3.93.0-q0fix.diff :
  Incorporated the fixes from bug #11194. Thanks to Sebastian Droege 
  <sebastian.droege@gmx.de> for the contribution.

  12 Dec 2002; phoen][x <phoenix@gentoo.org> lame-3.93.0-r1.ebuild,
  files/lame-3.93.0-npsytunefix.diff, files/lame-3.93.0-q0fix.diff :
  Removing this ebuild - lame-3.93.1 comes with these patches.
 
*lame-3.93.0 (23 Nov 2002)
  
  23 Nov 2002; Spider <spider@gentoo.org> lame-3.93.0.ebuild :
  new versioning scheme, unfortunately not followed inside the tarball so I 
  had to hack some there. The vorbis support was cut out from this release 
  (at least according to the changelog)  so I removed the IUSE and USE flags 
  accordingly.

*lame-3.92 (23 Apr 2002)
  29 Sep 2002; Martin Schlemmer <azarah@gentoo.org> :
  Libtoolize to fix bug #5638.

  09 Sep 2002; Jack Morgan <jmorgan@gentoo.org> :
  Added sparc/saprc64 keywords

  07 Aug 2002; Mark Guertin <gerk@gentoo.org> :
  Adjusted nasm dep for x86 only

  23 Apr 2002; Spider <spider@gentoo.org> lame-3.92.ebuild: 
  update new version, remove gcc3 fixes (in mainline now)

  06 Apr 2002; Geert Bevin <gbevin@gentoo.org> lame-3.91.ebuild,
  files/lame-3.91-gcc3.diff :

  Little preprocessor fix to help it compile with gcc 3.

*lame-3.91 (28 Mar 2002)

  28 Mar 2002; Seemant Kulleen <seemant@gentoo.org> lame-3.91.ebuild :

  Changed the USE flag to "oggvorbis" instead of just "vorbis"

*lame-3.91 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
